Tasks
All operations require authentication.
List tasksProduction
Returns the identifiers of the zone tasks. Can be filtered by function and status.
Path parameters
Zone name
Query parameters
All functions from a dns task
DnsAnycastActivateDnsAnycastDeactivateDnssecDisableDnssecEnableDnssecResigningDnssecRollKskDnssecRollZskZoneCheckZoneCreateZoneCutZoneDeleteZoneImportZoneRefreshZoneRestoreAll statuses from a dns task
cancelleddoingdoneerrorproblemtodoResponse
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Returns a task: function, status, dates, and whether it can be accelerated, canceled or relaunched.
Path parameters
Id
Zone name
Response
Can accelerate the task
Can cancel the task
Can relaunch the task
Comment about the task
Creation date of the task
Done date of the task
Function of the task
DnsAnycastActivateDnsAnycastDeactivateDnssecDisableDnssecEnableDnssecResigningDnssecRollKskDnssecRollZskZoneCheckZoneCreateZoneCutZoneDeleteZoneImportZoneRefreshZoneRestoreId of the task
Last update date of the task
Status of the task
cancelleddoingdoneerrorproblemtodoTodo date of the task
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ task/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "function": "DnsAnycastActivate", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Accelerate a taskProduction
Accelerates a task. Only possible when canAccelerate is true on the task.
Path parameters
Id
Zone name
Response
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ task/ {id}/ accelerate \
-H "authorization: Bearer $OVH_TOKEN"Relaunch a taskProduction
Relaunches a task. Only possible when canRelaunch is true on the task.
Path parameters
Id
Zone name
Response
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ task/ {id}/ relaunch \
-H "authorization: Bearer $OVH_TOKEN"Cancel a taskProduction
Cancels a task. Only possible when canCancel is true on the task.
Path parameters
Id
Zone name
Response
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ task/ {id}/ cancel \
-H "authorization: Bearer $OVH_TOKEN"